@charset "utf-8";

/*====================================
トップ用のヘッダー
===================================*/
.header.top {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  background: transparent;
  z-index: 100;
}

.header-logo img {
  width: 85%;
  max-width: 300px;
  height: auto;
}

.header-inner {
  border-bottom: none;
}


/*====================================
ファストビュー
===================================*/
.slider img {
  width: 100%;
  height: 100vh;
  object-fit: cover;
}

.slick-initialized .slick-slide {
  display: flex !important;
  align-items: center;
}

.slick-dotted.slick-slider {
  margin-bottom: 10rem;
}

.flex {
  display: flex;
  width: 100%;
  height: 100vh;
}

.flex .item1 {
  flex: 0 0 40%;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: clamp(2rem, 3vw, 4rem);
  font-family: var(--font-ttl);
  line-height: 1.5;
  font-weight: 400;
  text-align: left;
}

.flex .item2 {
  flex: 0 0 60%;
}

.flexReverse {
  flex-direction: row-reverse;
}

.slick-dots {
  bottom: 20px !important;
}

.slick-dots li button:before {
  font-size: 10px !important;
}


/* ハンバーガーメニュー */
#menuBtn,
.btn {
  display: none;
}

/* ボタンの外枠の設定 */
.btn {
  width: 6rem;
  height: 3rem;
  position: fixed;
  bottom: 3rem;
  left: 3rem;
  /* ハンバーガーメニューの位置設定 */
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1000;
}

/* メニューボタンの設定 */
.btn span,
.btn span::before,
.btn span::after {
  content: "";
  display: block;
  width: 50px;
  height: 1px;
  background-color: #987a7a;
  position: absolute;
  transition: 0.5s;
}

.btn span::before {
  top: -10px;
}

.btn span::after {
  top: 10px;
}

/* チェックをした時の設定 */
#menuBtn:checked~.btn span {
  background-color: transparent;
}

#menuBtn:checked~.btn span::before {
  top: 0;
  transform: rotate(45deg);
  background-color: lightslategray;
}

#menuBtn:checked~.btn span::after {
  top: 0;
  transform: rotate(-45deg);
  background-color: lightslategray;
}


/* ナビゲーションの設定 */
.g-nav {
  position: fixed;
  top: 0;
  left: 100%;
  width: 100%;
  height: 100vh;
  font-size: clamp(2rem, 3vw, 3rem);
  background: url(../img/toppage/firstview/08.jpg) center / cover no-repeat;

  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  gap: 3rem;
  padding-left: 8vw;
  transition: 1s;
  z-index: 50;
}

.g-nav li:hover {
  color: #757575;
}

/* チェックした時の設定 */
#menuBtn:checked~.g-nav {
  left: 0;
}




/*====================================
メイン
===================================*/
.top-container {
  width: 88.888%;
  max-width: 1200px;
  margin: 0 auto 15rem;
}

.top-container h1,
.gallery-section h1 {
  font-family: var(--font-en);
  font-weight: 300;
  font-size: clamp(1.5rem, 2.5vw, 2.5rem);
  text-align: center;
}

.top-container h1::after {
  content: "";
  display: block;
  width: 100px;
  height: 1px;
  background-color: #c3aaad;
  margin: 1rem auto 5rem;
}

.top-container p {
  font-size: clamp(1.5rem, 2vw, 1.8rem);
  text-align: center;
  line-height: 2;
}



/* =====見出し１つ目 Concept の設定===== */
.line {
  background: linear-gradient(transparent 50%, rgba(247, 198, 104, 0.2) 50%,
      rgba(248, 229, 228) 75%, rgba(247, 198, 104, 0.2));
  font-weight: 600;
}

.concept-content {
  display: flex;
}

.box1,
.box2 {
  flex: 1 1 50%;
}

.box1 {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  justify-content: center;
  align-items: center;
}

.concept-content {
  margin-top: 3rem;
}

.concept-content h2 {
  text-align: center;
  font-weight: 400;
}

.concept-content p {
  font-size: var(--font-base-size);
  line-height: 1.7;
}






/* =====見出し２つ目 Collection の設定===== */
.dresslist {
  display: flex;
  justify-content: space-between;
  gap: 2rem;
  margin-bottom: 4rem;
}

.dresslist li {
  width: calc((100% - 6rem) / 4);
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}

.dresslist li:hover {
  opacity: 0.7;
}

.dresslist p {
  font-family: var(--font-en);
  font-size: var(--font-base-size);
  text-align: center;
  line-height: 1.7;
}

small {
  font-size: clamp(1rem, 1.5vw, 1.3rem);
  font-family: var(--font-ja);
}

.link-btn-area {
  text-align: center;
}

.link-btn {
  position: relative;
  font-family: var(--font-en);
  font-size: clamp(1.2rem, 2vw, 1.4rem);

  font-weight: 300;
  background-color: #ECE3E4;
  border: 1px solid #7c606b;
  padding: 0.5rem 7rem;
  display: inline-block;
  text-decoration: none;
  outline: none;
  transition: all 0.3s ease-in-out;
}

.link-btn:hover {
  background: #7c606b;
  color: #fff;
  border-color: transparent;
}

.link-btn::before,
.link-btn::after {
  content: '';
  position: absolute;
  border: solid #7c606b;
  width: 10px;
  height: 10px;
  transition: all 0.3s ease-in-out;
}

.link-btn::before {
  top: -6px;
  left: -6px;
  border-width: 1px 0 0 1px;
}

.link-btn::after {
  bottom: -6px;
  right: -6px;
  border-width: 0 1px 1px 0;
}

.link-btn:hover::before,
.link-btn:hover::after {
  width: calc(100% + 11px);
  height: calc(100% + 11px);
  border-color: #7c606b;
}



/* =====見出し３つ目 Brides Photo Gallery の設定===== */
.gallery-section {
  width: 100%;
  margin: 0 auto 15rem;
  will-change: transform;
}

.notg:not(.gallery-section) {
  width: 100%;
}

.gallery-section h1::after {
  content: "";
  display: block;
  width: 100px;
  height: 1px;
  background-color: #c3aaad;
  margin: 1rem auto 3rem;
}

.gallery-section p {
  font-size: clamp(1.5rem, 2vw, 1.8rem);
  text-align: center;
  line-height: 2;
  margin-bottom: 5rem;
}

.photolist li:hover {
  opacity: 0.7;
}




/* =====見出し４つ目 Column の設定===== */
.column-section {
  margin: 0 auto 15rem;
  padding: 5rem 3rem;
  background-image: linear-gradient(90deg, #ffffff, #ECE3E4, #ffffff);
  position: relative;
}

.column-section h1::after {
  background-color: #fff;
}

.column-txt {
  margin-bottom: 5rem;
}

.column-inner {
  display: flex;
  flex-direction: column;
  gap: 6rem;
  margin: 0 auto 5rem;
}

.article1,
.article2 {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 3rem;
}

.article1 img,
.article2 img {
  width: 20%;
  height: auto;
  object-fit: cover;
  border-radius: 10px;
  transition: 0.6s;
}

.article1 img:hover,
.article2 img:hover {
  opacity: 0.7;
}

.article1 dl,
.article2 dl {
  width: 65%;
  background-color: #fcfcfcaa;
  padding: 3rem 4rem;
}

dt:hover {
  color: #7c606b;
}

.article1 dt,
.article2 dt {
  font-weight: 600;
  margin-bottom: 1rem;
  font-size: clamp(1.3rem, 2vw, 1.6rem);

}

.article1 dd,
.article2 dd {
  font-size: clamp(1.3rem, 2vw, 1.4rem);
}




/* =====見出し５つ目 Instagram の設定===== */
.instalist {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 2rem;
}

.instalist li {
  width: 23%;
}

.instalist li:hover {
  opacity: 0.7;
}




/*====================================
レスポンシブ対応
===================================*/

@media (max-width: 1130px) {
  .header-inner {
    padding: 2rem;
  }

  .header-logo {
    width: 55%;
  }

  .slick-initialized .slick-slide {
    display: flex !important;
    flex-direction: column;
    align-items: center;
  }

  .dresslist {
    flex-wrap: wrap;
  }

  .dresslist li {
    width: calc((100% - 2rem) / 2);
    gap: .5rem;
  }

  .dresslist p {
    font-size: 1.3rem;
  }

}


@media (max-width: 800px) {
  .slick-initialized .slick-slide {
    display: flex !important;
    flex-direction: column;
    align-items: center;
  }

  .cursor span,
  .cursor span.dot2,
  .cursor span.dot1 {
    display: none;
  }

  .btn {
    top: 3%;
    left: 80%;
  }

  .slick-dotted.slick-slider {
    margin-bottom: 5rem;
  }

  .top-container {
    width: 85%;
    margin-bottom: 8rem;
  }

  .top-container h1::after {
    margin-bottom: 3rem;
  }

  .top-container p {
    text-align: left;
    line-height: unset;
  }

  .concept-content {
    flex-direction: column;
    margin-top: 3rem;
  }

  .concept-content h2 {
    font-size: 1.8rem;
  }

  .concept-content p {
    line-height: 1.5;
    text-align: left;
  }

  .gallery-section {
    margin-bottom: 5rem;
  }


  .gallery-section p {
    margin-bottom: 2rem;
  }

  .column-section {
    background-image: linear-gradient(260deg, #ffffff, #ECE3E4, #ffffff);
  }

  .column-inner {
    gap: 3rem;
    margin-bottom: 2rem;
  }

  .article1,
  .article2 {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
  }

  .article1 img,
  .article2 img {
    width: 70%;
  }

  .article1 dl,
  .article2 dl {
    width: 100%;
    padding: 2rem;
  }

  .article1 dt,
  .article2 dt {
    line-height: 1.3;
  }

  .instalist li {
    width: 46%;
  }

}